Loading...
Searching...
No Matches
Basic character classification - 7-bit ASCII only

## Macros

#define | SVN_CTYPE_CNTRL 0x0001
| Control character.
#define | SVN_CTYPE_SPACE 0x0002
| Whitespace.
#define | SVN_CTYPE_DIGIT 0x0004
| Decimal digit.
#define | SVN_CTYPE_UPPER 0x0008
| Uppercase letter.
#define | SVN_CTYPE_LOWER 0x0010
| Lowercase letter.
#define | SVN_CTYPE_PUNCT 0x0020
| Punctuation mark.
#define | SVN_CTYPE_XALPHA 0x0040
| Hexadecimal digits A to F.
#define | SVN_CTYPE_ASCII 0x0080
| ASCII subset.
#define | SVN_CTYPE_ALPHA (SVN_CTYPE_LOWER | SVN_CTYPE_UPPER)
| ASCII letter.
#define | SVN_CTYPE_ALNUM (SVN_CTYPE_ALPHA | SVN_CTYPE_DIGIT)
| ASCII letter or decimal digit.
#define | SVN_CTYPE_XDIGIT (SVN_CTYPE_DIGIT | SVN_CTYPE_XALPHA)
| ASCII hexadecimal digit.
#define | SVN_CTYPE_GRAPH (SVN_CTYPE_PUNCT | SVN_CTYPE_ALNUM)
| Printable ASCII except space.
#define | SVN_CTYPE_PRINT (SVN_CTYPE_GRAPH | SVN_CTYPE_SPACE)
| All printable ASCII.
#define | svn_ctype_iscntrl(c)
| Check if c is an ASCII control character.
#define | svn_ctype_isspace(c)
| Check if c is an ASCII whitespace character.
#define | svn_ctype_isdigit(c)
| Check if c is an ASCII digit.
#define | svn_ctype_isupper(c)
| Check if c is an ASCII uppercase letter.
#define | svn_ctype_islower(c)
| Check if c is an ASCII lowercase letter.
#define | svn_ctype_ispunct(c)
| Check if c is an ASCII punctuation mark.
#define | svn_ctype_isascii(c)
| Check if c is an ASCII character.
#define | svn_ctype_isalpha(c)
| Check if c is an ASCII letter.
#define | svn_ctype_isalnum(c)
| Check if c is an ASCII letter or decimal digit.
#define | svn_ctype_isxdigit(c)
| Check if c is an ASCII hexadecimal digit.
#define | svn_ctype_isgraph(c)
| Check if c is an ASCII graphical (visible printable) character.
#define | svn_ctype_isprint(c)
| Check if c is an ASCII printable character.

## Detailed Description

## Macro Definition Documentation

## SVN_CTYPE_ALNUM

#define SVN_CTYPE_ALNUM (SVN_CTYPE_ALPHA | SVN_CTYPE_DIGIT)

ASCII letter or decimal digit.

Definition at line 71 of file svn_ctype.h.

## SVN_CTYPE_ALPHA

#define SVN_CTYPE_ALPHA (SVN_CTYPE_LOWER | SVN_CTYPE_UPPER)

ASCII letter.

Definition at line 69 of file svn_ctype.h.

## SVN_CTYPE_ASCII

#define SVN_CTYPE_ASCII 0x0080

ASCII subset.

Definition at line 65 of file svn_ctype.h.

## SVN_CTYPE_CNTRL

#define SVN_CTYPE_CNTRL 0x0001

Control character.

Definition at line 58 of file svn_ctype.h.

## SVN_CTYPE_DIGIT

#define SVN_CTYPE_DIGIT 0x0004

Decimal digit.

Definition at line 60 of file svn_ctype.h.

## SVN_CTYPE_GRAPH

#define SVN_CTYPE_GRAPH (SVN_CTYPE_PUNCT | SVN_CTYPE_ALNUM)

Printable ASCII except space.

Definition at line 75 of file svn_ctype.h.

## svn_ctype_isalnum

#define svn_ctype_isalnum | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_ALNUM)
SVN_CTYPE_ALNUM
#define SVN_CTYPE_ALNUM
ASCII letter or decimal digit.
Definition svn_ctype.h:71
svn_ctype_test
#define svn_ctype_test(c, flags)
Check if c is in the character class described by flags.
Definition svn_ctype.h:48

Check if c is an ASCII letter or decimal digit.

Definition at line 105 of file svn_ctype.h.

## svn_ctype_isalpha

#define svn_ctype_isalpha | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_ALPHA)
SVN_CTYPE_ALPHA
#define SVN_CTYPE_ALPHA
ASCII letter.
Definition svn_ctype.h:69

Check if c is an ASCII letter.

Definition at line 102 of file svn_ctype.h.

## svn_ctype_isascii

#define svn_ctype_isascii | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_ASCII)
SVN_CTYPE_ASCII
#define SVN_CTYPE_ASCII
ASCII subset.
Definition svn_ctype.h:65

Check if c is an ASCII character.

Definition at line 99 of file svn_ctype.h.

## svn_ctype_iscntrl

#define svn_ctype_iscntrl | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_CNTRL)
SVN_CTYPE_CNTRL
#define SVN_CTYPE_CNTRL
Control character.
Definition svn_ctype.h:58

Check if c is an ASCII control character.

Definition at line 81 of file svn_ctype.h.

## svn_ctype_isdigit

#define svn_ctype_isdigit | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_DIGIT)
SVN_CTYPE_DIGIT
#define SVN_CTYPE_DIGIT
Decimal digit.
Definition svn_ctype.h:60

Check if c is an ASCII digit.

Definition at line 87 of file svn_ctype.h.

## svn_ctype_isgraph

#define svn_ctype_isgraph | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_GRAPH)
SVN_CTYPE_GRAPH
#define SVN_CTYPE_GRAPH
Printable ASCII except space.
Definition svn_ctype.h:75

Check if c is an ASCII graphical (visible printable) character.

Definition at line 111 of file svn_ctype.h.

## svn_ctype_islower

#define svn_ctype_islower | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_LOWER)
SVN_CTYPE_LOWER
#define SVN_CTYPE_LOWER
Lowercase letter.
Definition svn_ctype.h:62

Check if c is an ASCII lowercase letter.

Definition at line 93 of file svn_ctype.h.

## svn_ctype_isprint

#define svn_ctype_isprint | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_PRINT)
SVN_CTYPE_PRINT
#define SVN_CTYPE_PRINT
All printable ASCII.
Definition svn_ctype.h:77

Check if c is an ASCII printable character.

Definition at line 114 of file svn_ctype.h.

## svn_ctype_ispunct

#define svn_ctype_ispunct | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_PUNCT)
SVN_CTYPE_PUNCT
#define SVN_CTYPE_PUNCT
Punctuation mark.
Definition svn_ctype.h:63

Check if c is an ASCII punctuation mark.

Definition at line 96 of file svn_ctype.h.

## svn_ctype_isspace

#define svn_ctype_isspace | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_SPACE)
SVN_CTYPE_SPACE
#define SVN_CTYPE_SPACE
Whitespace.
Definition svn_ctype.h:59

Check if c is an ASCII whitespace character.

Definition at line 84 of file svn_ctype.h.

## svn_ctype_isupper

#define svn_ctype_isupper | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_UPPER)
SVN_CTYPE_UPPER
#define SVN_CTYPE_UPPER
Uppercase letter.
Definition svn_ctype.h:61

Check if c is an ASCII uppercase letter.

Definition at line 90 of file svn_ctype.h.

## svn_ctype_isxdigit

#define svn_ctype_isxdigit | ( |  | c | ) |

Value:
svn_ctype_test((c), SVN_CTYPE_XDIGIT)
SVN_CTYPE_XDIGIT
#define SVN_CTYPE_XDIGIT
ASCII hexadecimal digit.
Definition svn_ctype.h:73

Check if c is an ASCII hexadecimal digit.

Definition at line 108 of file svn_ctype.h.

## SVN_CTYPE_LOWER

#define SVN_CTYPE_LOWER 0x0010

Lowercase letter.

Definition at line 62 of file svn_ctype.h.

## SVN_CTYPE_PRINT

#define SVN_CTYPE_PRINT (SVN_CTYPE_GRAPH | SVN_CTYPE_SPACE)

All printable ASCII.

Definition at line 77 of file svn_ctype.h.

## SVN_CTYPE_PUNCT

#define SVN_CTYPE_PUNCT 0x0020

Punctuation mark.

Definition at line 63 of file svn_ctype.h.

## SVN_CTYPE_SPACE

#define SVN_CTYPE_SPACE 0x0002

Whitespace.

Definition at line 59 of file svn_ctype.h.

## SVN_CTYPE_UPPER

#define SVN_CTYPE_UPPER 0x0008

Uppercase letter.

Definition at line 61 of file svn_ctype.h.

## SVN_CTYPE_XALPHA

#define SVN_CTYPE_XALPHA 0x0040

Hexadecimal digits A to F.

Definition at line 64 of file svn_ctype.h.

## SVN_CTYPE_XDIGIT

#define SVN_CTYPE_XDIGIT (SVN_CTYPE_DIGIT | SVN_CTYPE_XALPHA)

ASCII hexadecimal digit.

Definition at line 73 of file svn_ctype.h.